{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "displayName": {
      "type": "string"
    },
    "enabled": {
      "type": "boolean"
    },
    "kind": {
      "type": "string"
    },
    "me": {
      "type": "boolean"
    },
    "metadata": {
      "type": "object"
    },
    "mustChangePassword": {
      "type": "boolean"
    },
    "password": {
      "type": "string"
    },
    "principalIds": {
      "items": {
        "type": "string"
      },
      "type": "array"
    },
    "status": {
      "properties": {
        "conditions": {
          "items": {
            "properties": {
              "lastTransitionTime": {
                "type": "string"
              },
              "lastUpdateTime": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "reason": {
                "type": "string"
              },
              "status": {
                "type": "string"
              },
              "type": {
                "type": "string"
              }
            },
            "required": [
              "status",
              "type"
            ],
            "type": "object"
          },
          "type": "array"
        }
      },
      "type": "object"
    },
    "username": {
      "type": "string"
    }
  },
  "type": "object"
}
